PHP-инклюдинг в Dimension of phpBB

Дата публикации:
09.10.2006
Дата изменения:
17.10.2006
Всего просмотров:
3398
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Dimension of phpBB 0.x
Уязвимые версии: Dimension of phpBB 0.2.6 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценариях includes/themen_portal_mitte.php и includes/logger_engine.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/includes/themen_portal_mitte.php?phpbb_root_path=[file]
http://[host]/[path]/includes/logger_engine.php?phpbb_root_path=[file]

URL производителя: www.phpbb-dimension.de

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA